Message::Passing::Input::FileTail(3pm)

NAME
Message::Passing::Input::FileTail - File tailing input

SYNOPSIS
    message-pass --input FileTail --input_options '{"filename": "/var/log/foo.log"} --output STDOUT
    {"filename":"/var/log/foo.log","message":"example line","hostname":"www.example.com","epochtime":"1346705476","type":"log_line"}

DESCRIPTION

ATTRIBUTES

  filename
The filename of the file to tail.

  raw
If the file data should be output raw (as just a line). Normally lines are output as a hash of data including the fields showing in the SYNOPSIS.

SEE ALSO
Message::Passing

SPONSORSHIP
This module exists due to the wonderful people at Suretec Systems Ltd. <http://www.suretecsystems.com/> who sponsored its development for its VoIP division called SureVoIP <http://www.surevoip.co.uk/> for use with the SureVoIP API - <http://www.surevoip.co.uk/support/wiki/api_documentation>

AUTHOR, COPYRIGHT AND LICENSE
See Message::Passing.